@echo off
rem Licensed Materials - Property of IBM
rem IBM Content Manager for Multiplatforms V8 (program number 5724-B19)
rem IBM Content Manager for z/OS and OS/390, V8 (program number 5697-H60)
rem (c ) Copyright IBM Corp. 1994, 2001.  All Rights Reserved.
rem US Government Users Restricted Rights -
rem Use, duplication or disclosure restricted by GSA ADP Schedule
rem Contract with IBM Corporation

echo In order to perform the migration of your Object Server to Content
echo Manager version 8.1 Resource manager, the migration utility will need
echo to create a temporary table in your Object Server database.  The
echo amount of data stored in this table will be approximately equal to
echo data in your Object Server's BASE_OBJECTS table.  We recommend that
echo this new table be created in a tablespace different from the one that
echo you are using for your Object Server tables.  You can either use this
echo utility to create a new tablespace or use an existing tablespace.

icmnmidr S %1

jar -xf %1.jar
db2 +o connect to %1
db2 +o drop table cm2icmparts
db2 -tvf objpartstbl.sql
db2 create index cm7partid on cm2icmparts (cmpartid)
db2 +o load from %1PARTS.DEL of del replace into cm2icmparts
db2 runstats on table %username%.cm2icmparts with distribution
db2 +o export to %2\OBJTEXTPARTS.DEL of del messages %2\textpartsexp.log "select cmpartid, icmobjectid, userid, col_collname, obj_filename,rmaccess, cmcompid, versionnum, int(obj_size), lsdbname from cm2icmparts, base_objects, base_collections where textflag=1 and cmpartid=obj_objectname and obj_collectionid=col_collid"
IF ERRORLEVEL 4 (GOTO END)

echo exporting library server table
db2 +o export to %2\libsrvr.del of del messages %2\libsrvrexp.log "select lib_libraryid, 'TSM', lib_libraryname, 'ftp', lib_libraryid, lib_libraryname, 12322, '', ''  from base_libraryserver where lib_libraryid>1"
IF ERRORLEVEL 4 (echo Error in exporting library table.  Please check %2\libsrvrexp.log for more information & GOTO END)
echo exporting access table
db2 +o export to %2\access.del of del messages %2\accessexp.log "select acc_libraryid, acc_userid, acc_password, 'publickey' from base_access where acc_libraryid>1"
IF ERRORLEVEL 4 (echo Error in exporting access table.  Please check %2\accessexp.log for more information & GOTO END)
echo exporting collections table
db2 +o export to %2\collct.del of del messages %2\collctexp.log "select * from base_collections"
IF ERRORLEVEL 4 (echo Error in exporting collections table.  Please check %2\collctexp.log for more information & GOTO END)
echo exporting devmgr table
db2 +o export to %2\devmgr.del of del messages %2\devmgrexp.log "select dev_devmgrid, dev_devmgrname, dev_enable, dev_description, dev_parameters, 'Dev Class' from base_devmgr where dev_devmgrid > 3"
IF ERRORLEVEL 4 (echo Error in exporting devmgr table.  Please check %2\devmgrexp.log for more information & GOTO END)
db2 +o export to %2\drivelist.del of del messages %2\drivelistexp.log "select dev_drivelist,str_string from base_devmgr,base_strings where dev_devmgrname='FRNNHDDM'"
IF ERRORLEVEL 4 (echo Error in exporting devmgr table.  Please check %2\drivelistexp.log for more information & GOTO END)
echo exporting mgmt class table
db2 +o export to %2\mgtclas.del of del messages %2\mgtclasexp.log "select mgc_mgtclassid,mgc_mgtclassname from base_mgtclass"
IF ERRORLEVEL 4 (echo Error in exporting mgmt class table.  Please check %2\mgtclasexp.log for more information & GOTO END)
echo exporting migration transition table
db2 +o export to %2\mgtrans.del of del messages %2\mgtransexp.log select mgp_mgtclassid, mgp_sequencenum, mgp_stgclassid, mgp_sinceenter from base_mgttransition
IF ERRORLEVEL 4 (echo Error in exporting mig transition table.  Please check %2\mgtransexp.log for more information & GOTO END)
echo exporting object table
db2 +o export to %2\objects.del of del messages %2\objectsexp.log select 1, icmobjectid, VersionNum, obj_collectionid, obj_mgtclassid, obj_stgclassid, obj_attributes, obj_retention, obj_volumeid, -1, obj_path, obj_status, obj_size, obj_createdate, current timestamp, obj_referenceddate, obj_actiondate, obj_mgtclassdate, obj_stgclassdate, 'P', 'V', obj_objectname, '', obj_filename, icmmimetype from base_objects, cm2icmparts where base_objects.obj_objectname = cm2icmparts.cmpartid and cm2icmparts.textflag=0
IF ERRORLEVEL 4 (echo Error in exporting objects table.  Please check %2\objectsexp.log for more information & GOTO END)
echo exporting volumes table
db2 +o export to %2\volumes.del of del messages %2\volumessexp.log "select VOL_VolumeID, Vol_Serial, Vol_StgClassID, Vol_Attributes, Vol_MediaType, 1, Vol_Size, Vol_FreeSpace, Vol_Status, 95, Vol_NumBuckets, Vol_ReferencedDate, Vol_label, '', '', Vol_OfflineLoc from base_volumes where vol_volumeid>1 and vol_mediatype <> 99"
IF ERRORLEVEL 4 (echo Error in exporting objects table.  Please check %2\objectsexp.log for more information & GOTO END)
db2 +o export to %2\volumes2.del of del messages %2\volumessexp2.log "select VOL_VolumeID, Vol_Serial, Vol_StgClassID, Vol_Attributes, Vol_MediaType, 2, Vol_Size, Vol_FreeSpace, Vol_Status, 95, Vol_NumBuckets, Vol_ReferencedDate, concat(UPPER('/%1'),Vol_label), '', '', Vol_OfflineLoc from base_volumes where vol_volumeid >1 and vol_mediatype=99"
IF ERRORLEVEL 4 (echo Error in exporting objects table.  Please check %2\objectsexp2.log for more information & GOTO END)
echo exporting storage group class table
db2 +o export to %2\grpclass.del of del messages %2\grpclassexp.log  select * from base_stggrpclass
IF ERRORLEVEL 4 (echo Error in exporting storage group class table.  Please check %2\grclassexp.log for more information & GOTO END)
echo exporting storage group volumes table
db2 +o export to %2\grpvols.del of del messages %2\grpvolsexp.log select * from base_stggrpvolume
IF ERRORLEVEL 4 (echo Error in exporting storage group volumes table.  Please check %2\grpvolsexp.log for more information & GOTO END)
echo exporting storage class table
db2 +o export to %2\stgclas.del of del messages %2\stgclasexp.log select stc_stgclassid, stc_stgclassname, stc_attributes, scd_devmgrid, stc_objectserverid, stc_remotecollname from base_storageclass, base_stgclsdevmgr where stc_stgclassid= scd_stgclassid
IF ERRORLEVEL 4 (echo Error in exporting storage class table.  Please check %2\stgclasexp.log for more information & GOTO END)
echo exporting storage group table
db2 +o export to %2\storgrp.del of del messages %2\storgrpexp.log "select * from base_storagegroup"
IF ERRORLEVEL 4 (echo Error in exporting storagegroup table.  Please check %2\storgrpexp.log for more information & GOTO END)
echo exporting sync parm table
db2 +o export to %2\syncparm.del of del messages %2\syncparmexp.log select * from base_syncparm
IF ERRORLEVEL 4 (echo Error in exporting sync parm table.  Please check %2\syncparmexp.log for more information & GOTO END)
echo exporting sync report table
db2 +o export to %2\syncrep.del of del messages %2\syncrepexp.log select * from base_syncreport
IF ERRORLEVEL 4 (echo Error in exporting sync report table.  Please check %2\syncrepexp.log for more information & GOTO END)
echo exporting sync schedule table
db2 +o export to %2\syncschd.del of del messages %2\syncschdexp.log select * from base_syncsched
IF ERRORLEVEL 4 (echo Error in exporting sync schedule table.  Please check %2\syncschdexp.log for more information & GOTO END)
echo exporting sync status table
db2 +o export to %2\syncstat.del of del messages %2\syncstatexp.log select * from base_syncstatus
IF ERRORLEVEL 4 (echo Error in exporting sync status table.  Please check %2\syncstatexp.log for more information & GOTO END)
echo exporting sync volume table
db2 +o export to %2\syncvol.del of del messages %2\syncvolexp.log select * from base_syncvol
IF ERRORLEVEL 4 (echo Error in exporting sync volume table.  Please check %2\syncvolexp.log for more information & GOTO END)
:END